// source: v1/dictionary/vermin_description.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var v1_dictionary_common_dictionary_common_pb = require('../../v1/dictionary_common/dictionary_common_pb.js');
goog.object.extend(proto, v1_dictionary_common_dictionary_common_pb);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.VerminDescription', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.VerminDescription, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.VerminDescription.displayName = 'proto.fcp.dictionary.v1.dictionary.VerminDescription';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.displayName = 'proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.displayName = 'proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.displayName = 'proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.VerminDescription.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescription} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    verminId: jspb.Message.getFieldWithDefault(msg, 2, 0),
    verminName: jspb.Message.getFieldWithDefault(msg, 3, ""),
    cultureId: jspb.Message.getFieldWithDefault(msg, 4, 0),
    cultureName: jspb.Message.getFieldWithDefault(msg, 5, ""),
    culturesGroupId: jspb.Message.getFieldWithDefault(msg, 6, 0),
    culturesGroupName: jspb.Message.getFieldWithDefault(msg, 7, ""),
    txt: jspb.Message.getFieldWithDefault(msg, 8, ""),
    hash: (f = msg.getHash()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    createdAt: (f = msg.getCreatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedAt: (f = msg.getUpdatedAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.VerminDescription;
  return proto.fcp.dictionary.v1.dictionary.VerminDescription.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescription} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setVerminId(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setVerminName(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setCultureId(value);
      break;
    case 5:
      var value = /** @type {string} */ (reader.readString());
      msg.setCultureName(value);
      break;
    case 6:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setCulturesGroupId(value);
      break;
    case 7:
      var value = /** @type {string} */ (reader.readString());
      msg.setCulturesGroupName(value);
      break;
    case 8:
      var value = /** @type {string} */ (reader.readString());
      msg.setTxt(value);
      break;
    case 21:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setHash(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    case 23:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 24:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setCreatedAt(value);
      break;
    case 25:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    case 26:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setUpdatedAt(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.VerminDescription.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescription} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getVerminId();
  if (f !== 0) {
    writer.writeInt64(
      2,
      f
    );
  }
  f = message.getVerminName();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getCultureId();
  if (f !== 0) {
    writer.writeInt64(
      4,
      f
    );
  }
  f = message.getCultureName();
  if (f.length > 0) {
    writer.writeString(
      5,
      f
    );
  }
  f = message.getCulturesGroupId();
  if (f !== 0) {
    writer.writeInt64(
      6,
      f
    );
  }
  f = message.getCulturesGroupName();
  if (f.length > 0) {
    writer.writeString(
      7,
      f
    );
  }
  f = message.getTxt();
  if (f.length > 0) {
    writer.writeString(
      8,
      f
    );
  }
  f = message.getHash();
  if (f != null) {
    writer.writeMessage(
      21,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      23,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedAt();
  if (f != null) {
    writer.writeMessage(
      24,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      25,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedAt();
  if (f != null) {
    writer.writeMessage(
      26,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional int64 vermin_id = 2;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getVerminId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setVerminId = function(value) {
  return jspb.Message.setProto3IntField(this, 2, value);
};


/**
 * optional string vermin_name = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getVerminName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setVerminName = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional int64 culture_id = 4;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCultureId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 4, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCultureId = function(value) {
  return jspb.Message.setProto3IntField(this, 4, value);
};


/**
 * optional string culture_name = 5;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCultureName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 5, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCultureName = function(value) {
  return jspb.Message.setProto3StringField(this, 5, value);
};


/**
 * optional int64 cultures_group_id = 6;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCulturesGroupId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 6, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCulturesGroupId = function(value) {
  return jspb.Message.setProto3IntField(this, 6, value);
};


/**
 * optional string cultures_group_name = 7;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCulturesGroupName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 7, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCulturesGroupName = function(value) {
  return jspb.Message.setProto3StringField(this, 7, value);
};


/**
 * optional string txt = 8;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getTxt = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 8, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setTxt = function(value) {
  return jspb.Message.setProto3StringField(this, 8, value);
};


/**
 * optional google.protobuf.StringValue hash = 21;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getHash = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 21));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setHash = function(value) {
  return jspb.Message.setWrapperField(this, 21, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearHash = function() {
  return this.setHash(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasHash = function() {
  return jspb.Message.getField(this, 21) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 23;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 23));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 23, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 23) != null;
};


/**
 * optional google.protobuf.Timestamp created_at = 24;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getCreatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 24));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setCreatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 24, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearCreatedAt = function() {
  return this.setCreatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasCreatedAt = function() {
  return jspb.Message.getField(this, 24) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 25;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 25));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 25, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 25) != null;
};


/**
 * optional google.protobuf.Timestamp updated_at = 26;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.getUpdatedAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 26));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.setUpdatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 26, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.clearUpdatedAt = function() {
  return this.setUpdatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescription.prototype.hasUpdatedAt = function() {
  return jspb.Message.getField(this, 26) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: (f = msg.getId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    verminId: (f = msg.getVerminId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    cultureId: (f = msg.getCultureId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    culturesGroupId: (f = msg.getCulturesGroupId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    deleted: (f = msg.getDeleted()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter;
  return proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setId(value);
      break;
    case 2:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setVerminId(value);
      break;
    case 4:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setCultureId(value);
      break;
    case 6:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setCulturesGroupId(value);
      break;
    case 22:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDeleted(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getVerminId();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getCultureId();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getCulturesGroupId();
  if (f != null) {
    writer.writeMessage(
      6,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getDeleted();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional google.protobuf.Int64Value id = 1;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.getId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 1));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.setId = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.clearId = function() {
  return this.setId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.hasId = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional google.protobuf.Int64Value vermin_id = 2;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.getVerminId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 2));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.setVerminId = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.clearVerminId = function() {
  return this.setVerminId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.hasVerminId = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.Int64Value culture_id = 4;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.getCultureId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 4));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.setCultureId = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.clearCultureId = function() {
  return this.setCultureId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.hasCultureId = function() {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional google.protobuf.Int64Value cultures_group_id = 6;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.getCulturesGroupId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 6));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.setCulturesGroupId = function(value) {
  return jspb.Message.setWrapperField(this, 6, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.clearCulturesGroupId = function() {
  return this.setCulturesGroupId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.hasCulturesGroupId = function() {
  return jspb.Message.getField(this, 6) != null;
};


/**
 * optional google.protobuf.BoolValue deleted = 22;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.getDeleted = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 22));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.setDeleted = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.clearDeleted = function() {
  return this.setDeleted(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.prototype.hasDeleted = function() {
  return jspb.Message.getField(this, 22) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.toObject(includeInstance, f),
    sortingsList: jspb.Message.toObjectList(msg.getSortingsList(),
    v1_dictionary_common_dictionary_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest;
  return proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.Sorting;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSortings(value);
      break;
    case 3:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationRequest;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional VerminDescriptionFilter filter = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.VerminDescriptionFilter|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated fcp.dictionary.v1.dictionary_common.Sorting sortings = 2;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.getSortingsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_common_dictionary_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.setSortingsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_common.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_common.Sorting}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.addSortings = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.dictionary.v1.dictionary_common.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.clearSortingsList = function() {
  return this.setSortingsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationRequest pagination = 3;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.dictionary.v1.dictionary.VerminDescription.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse;
  return proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.VerminDescription;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.VerminDescription.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationResponse;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.VerminDescription.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated VerminDescription items = 1;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary.VerminDescription>}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary.VerminDescription>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.dictionary.v1.dictionary.VerminDescription, 1));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary.VerminDescription>} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary.VerminDescription=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary.VerminDescription}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.dictionary.v1.dictionary.VerminDescription, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationResponse pagination = 2;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.ListVerminDescriptionResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest;
  return proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.dictionary.v1.dictionary.VerminDescription.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse;
  return proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary.VerminDescription;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary.VerminDescription.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary.VerminDescription.serializeBinaryToWriter
    );
  }
};


/**
 * optional VerminDescription item = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary.VerminDescription}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary.VerminDescription} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary.VerminDescription, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary.VerminDescription|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary.GetVerminDescriptionResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};


goog.object.extend(exports, proto.fcp.dictionary.v1.dictionary);
